package com.iformall.service.kw;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.dto.KwMeterDataDto;
import com.iformall.domain.po.KwMeterData;
import com.iformall.domain.vo.KwMeterDataVo;

import java.util.List;

public interface KwMeterDataService {

    PageInfo<KwMeterDataVo> listVoAsPage(KwMeterDataDto kwMeterDataDto, Integer pageIndex, Integer pageSize);

    List<KwMeterDataVo> findVoList(KwMeterDataDto kwMeterDataDto);

    PageInfo<KwMeterData> listAsPage(KwMeterData kwMeterData, Integer pageIndex, Integer pageSize);

    List<KwMeterData> findList(KwMeterData kwMeterData);

    List<KwMeterData> findLastRecordList(KwMeterData kwMeterData);

    KwMeterData findLastRecord(Long meterId);

    int save(List<KwMeterData> recordList);

    KwMeterDataVo getPower(KwMeterDataDto dto);
}